Subject: [PATCH] CHROMIUM: iommu: rockchip: Make sure that page table state is coherent

From: [email-masked] (Joerg Roedel)
Date: Tue, 3 Mar 2015 14:36:59 +0100

On Mon, Feb 09, 2015 at 08:19:21PM +0900, Tomasz Figa wrote:
> Even though the code uses the dt_lock spin lock to serialize mapping
> operation from different threads, it does not protect from IOMMU
> accesses that might be already taking place and thus altering state
> of the IOTLB. This means that current mapping code which first zaps
> the page table and only then updates it with new mapping which is
> prone to mentioned race.

Could you elabortate a bit on the race and why it is sufficient to zap
only the first and the last iova? From the description and the comments
in the patch this is not clear to me.

	Joerg